#
# spec file for package ETL
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           ETL
Version:        0.04.22
Release:        pm154.3.1
Summary:        Extended Class and Template Library
License:        GPL-3.0+
Group:          Development/Libraries/C and C++
Url:            http://synfig.org/
Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         ETL.gcc7.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ETL is a multi-platform class and template library designed to add
new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).


%package -n     %{name}-devel
Summary:        Extended Class and Template Library
Group:          Development/Libraries/C and C++

%description -n %{name}-devel
ETL is a multi-platform class and template library designed to add
new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Jan 11 2017 avvissu@yandex.by
- Update to 0.04.22:
  * see: /usr/share/doc/packages/ETL/NEWS
* Sat Apr  2 2016 avvissu@yandex.by
- Update to 0.04.19:
  * see: /usr/share/doc/packages/ETL/NEWS
* Mon May 25 2015 sor.alexei@meowr.ru
- Update to 0.04.18:
  * Fix compiler warnings.
  * Change handling of directory separators.
- Do not put sources tests into documentation.
- Spec cleanup.
* Tue Nov  5 2013 obs@botter.cc
- update to 0.04.17
* Sun Apr 15 2012 Manfred.Tremmel@iiv.de
- update to 0.04.15
* Sat Jun 11 2011 Manfred.Tremmel@iiv.de
- update to 0.04.14 (git logout, because there's no source tarball)
* Wed Nov  4 2009 Manfred.Tremmel@iiv.de
- update to 0.04.13
* Sat Sep  5 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Oct 25 2008 Manfred.Tremmel@iiv.de
- update to 0.04.12
* Tue Mar  4 2008 Manfred.Tremmel@iiv.de
- update to 0.04.11
* Sat Feb 23 2008 Manfred.Tremmel@iiv.de
- update to svn (Revision 1808), because off security reasons
* Fri Oct 12 2007 Manfred.Tremmel@iiv.de
- update to 0.04.10
* Sat Jun 23 2007 Manfred.Tremmel@iiv.de
- update to 0.04.09
* Sun Dec 24 2006 Manfred.Tremmel@iiv.de
- update to svn (Revision 229), seems, a lot of bugs where fixed inbetween
* Wed Mar  1 2006 Manfred.Tremmel@iiv.de
- update to 0.04.08
* Thu Dec 15 2005 Manfred.Tremmel@iiv.de
- first packman build, based on the spec-file
  from Robert B. Quattlebaum Jr. <darco@bigfoot.com>
